clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- ~

Here is a list of all class members with links to the classes they belong to:

### - a -

- add() : EntityMap
- addCheckFactories() : clang::tidy::cert::CERTModule , clang::tidy::ClangTidyModule , clang::tidy::cppcoreguidelines::CppCoreGuidelinesModule , clang::tidy::google::GoogleModule , clang::tidy::llvm::LLVMModule , clang::tidy::misc::MiscModule , clang::tidy::modernize::ModernizeModule , clang::tidy::performance::PerformanceModule , clang::tidy::readability::ReadabilityModule
- addComponents() : clang::tidy::modernize::ForLoopIndexUseVisitor
- AddInclude() : clang::tidy::IncludeSorter
- addNoCompileErrorsFile() : Modularize::ModularizeUtilities
- addUniqueProblemFile() : Modularize::ModularizeUtilities
- addUsage() : clang::tidy::modernize::ForLoopIndexUseVisitor
- aliasFromForInit() : clang::tidy::modernize::ForLoopIndexUseVisitor
- aliasUseRequired() : clang::tidy::modernize::ForLoopIndexUseVisitor
- AnalyzeTemporaryDtors : clang::tidy::ClangTidyOptions
- append() : PPCallbacksTracker
- appendArgument() : PPCallbacksTracker
- appendFilePathArgument() : PPCallbacksTracker
- appendQuotedArgument() : PPCallbacksTracker
- ArgList : clang::tidy::ClangTidyOptions
- Argument() : Argument
- ArgumentCommentCheck() : clang::tidy::misc::ArgumentCommentCheck
- Arguments : CallbackCall
- AssertSideEffectCheck() : clang::tidy::AssertSideEffectCheck
- AssignOperatorSignatureCheck() : clang::tidy::misc::AssignOperatorSignatureCheck
- ASTs : clang::query::QuerySession
- AvoidCStyleCastsCheck() : clang::tidy::google::readability::AvoidCStyleCastsCheck